=head1 NAME

Gtk2::FileChooserWidget

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box
                           +----Gtk2::VBox
                                +----Gtk2::FileChooserWidget

=head1 INTERFACES

  Gtk2::FileChooser
  Glib::Object::_Unregistered::GtkFileChooserEmbed
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable


=head1 METHODS

=head2 widget = Gtk2::FileChooserWidget-E<gt>B<new> ($action)

=over

=over

=item * $action (Gtk2::FileChooserAction) 

=back

=back

=head2 widget = Gtk2::FileChooserWidget-E<gt>B<new_with_backend> ($action, $backend)

=over

=over

=item * $action (Gtk2::FileChooserAction) 

=item * $backend (string) 

=back

=back


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::FileChooserAction

=over

=item * 'open' / 'GTK_FILE_CHOOSER_ACTION_OPEN'

=item * 'save' / 'GTK_FILE_CHOOSER_ACTION_SAVE'

=item * 'select-folder' / 'GTK_FILE_CHOOSER_ACTION_SELECT_FOLDER'

=item * 'create-folder' / 'GTK_FILE_CHOOSER_ACTION_CREATE_FOLDER'

=back



=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Box>, L<Gtk2::VBox>

=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

